## @id $Id$

##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

noinst_PROGRAMS = pcsc-demo cryptoki-sign-demo cryptoki-demo		\
                  openssl-tcp-demo openssl-ssl-demo			\
                  openssl-engine-demo cardos-demo        \
                  create-files-demo

AM_CPPFLAGS += -I${top_srcdir}/src
AM_LDFLAGS = -L${top_builddir}/src -lpcscxx

pcsc_demo_SOURCES = pcsc-demo.cxx
cryptoki_demo_SOURCES = cryptoki-demo.cxx
cryptoki_sign_demo_SOURCES = cryptoki-sign-demo.cxx
openssl_tcp_demo_SOURCES = openssl-tcp-demo.cxx
openssl_ssl_demo_SOURCES = openssl-ssl-demo.cxx
openssl_engine_demo_SOURCES = openssl-engine-demo.cxx
cardos_demo_SOURCES = cardos-demo.cxx
create_files_demo_SOURCES = create-files-demo.cxx

if HAVE_QTNETWORK
noinst_PROGRAMS += suisse-id-demo
noinst_HEADERS = suisse-id-demo.hxx
suisse_id_demo_SOURCES = suisse-id-demo.cxx
endif

MAINTAINERCLEANFILES = makefile.in
